﻿Import-Module ActiveDirectory

#Spremenljivke
$Company = "Company"                               
$Department = "Department"                         
$StreetAddress = "Street 1"                        
$PostalCode = "1000"                               
$City = "City"                                
$Country = "SI"                                    
$HomeDirectory = "" #By default is not empty "\\users\UserNameHomeDir"         
$AccountPassword = (ConvertTo-SecureString -AsPlainText "Password123!" -Force)

#Import Users list into variable
$UserList = Import-Csv "$Home\Desktop\ADUsers.csv" -Delimiter ";"
Write-Host "Number of User objects to import: " $UserList.Count


foreach($User in $UserList)
    {
        $GivenName = $User.Name
        $Surname = $User.Surname
        $EmailAddress = $User.Email
        $Office = $User.Office
        $OfficePhone = $User.Phone
        $MobilePhone = $User.Mobile
        $DisplayName = $User.DisplayName
        $SamAccountName = $User.UserName
        $UserPrincipalName = $User.UPN
        $DistinguishedName = $User.DisName
 
        New-ADUser -Name $DisplayName -SamAccountName $SamAccountName -UserPrincipalName $UserPrincipalName -GivenName $GivenName -Surname $Surname -DisplayName $DisplayName -AccountPassword $AccountPassword -HomeDirectory $HomeDirectory -EmailAddress $EmailAddress -Office $Office -OfficePhone $OfficePhone -MobilePhone $MobilePhone -Company $Company -Department $Department -StreetAddress $StreetAddress -PostalCode $PostalCode -City $City -Country $Country -ChangePasswordAtLogon $True -Path $DistinguishedName -Enabled $True
    }
